package speiger.src.coreengine.rendering.tesselation.format;

import speiger.src.coreengine.rendering.tesselation.format.VertexElement.Usage;

public class VertexTypes {
	public static final VertexElement POSITION_2D = new VertexElement(2, Usage.POS);
	public static final VertexElement POSITION_3D = new VertexElement(3, Usage.POS);
	public static final VertexElement TEXTURE = new VertexElement(2, Usage.UV);
	public static final VertexElement RGB = new VertexElement(3, Usage.COLOR);
	public static final VertexElement RGBA = new VertexElement(4, Usage.COLOR);
	public static final VertexElement NORMAL = new VertexElement(3, Usage.NORMAL);
	
	public static final VertexFormat POS_RGB = VertexFormat.builder().add(POSITION_3D).add(RGB).build();
	public static final VertexFormat POS_RGBA = VertexFormat.builder().add(POSITION_3D).add(RGBA).build();
	public static final VertexFormat POS_TEX_RGBA = VertexFormat.builder().add(POSITION_3D).add(TEXTURE).add(RGBA).build();
	public static final VertexFormat TESTING = VertexFormat.builder().add(POSITION_3D).add(TEXTURE).add(RGBA).build();
}
